#ifndef TESTRGBPIXEL_H_
#define TESTRGBPIXEL_H_

#include <cxxtest/TestSuite.h>

#include "RGBPixel.h"

class TestRGBPixel : public CxxTest::TestSuite
{
public:
	void testOperatorSum() {
		RGBPixel p1(10, 10, 10);
		RGBPixel p2(20, 30, 40);
		RGBPixel p3 = p1 + p2;
		TS_ASSERT( p3.getR() == 30);
		TS_ASSERT( p3.getG() == 40);
		TS_ASSERT( p3.getB() == 50);
	}

	void testOperatorGT() {
		RGBPixel p1(10, 10, 10);
		RGBPixel p2(20, 30, 40);
		TS_ASSERT(p2 > p1);
		RGBPixel p3(10, 10, 9);
		TS_ASSERT(!(p3 > p1));
	}

	void testOperatorEquals() {
		RGBPixel p1(10, 10, 10);
		RGBPixel p2(20, 30, 40);
		TS_ASSERT(!(p1 == p2));
		RGBPixel p3(10, 10, 10);
		TS_ASSERT(p1 == p3);
	}

};

#endif /*TESTRGBPIXEL_H_*/
